## ngrok 1.6%2Bdfsg

=== debian/changelog ===
ngrok (1.6+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #720878.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Jan 2014 21:50:54 +0100

## ngrok 1.6+dfsg

=== Makefile ===
.PHONY: default server client deps fmt clean all release-client release-server release-all client-assets server-assets
export GOPATH:=$(shell pwd)

default: all

deps:
	go get -tags '$(BUILDTAGS)' -d -v ngrok/...

server: deps
	go install -tags '$(BUILDTAGS)' ngrok/main/ngrokd

fmt:
	go fmt ngrok/...

client: deps
	go install -tags '$(BUILDTAGS)' ngrok/main/ngrok

client-assets:
	go get github.com/inconshreveable/go-bindata
	GOOS="" GOARCH="" go install github.com/inconshreveable/go-bindata
	bin/go-bindata -o src/ngrok/client/assets assets/client

server-assets:
	go get github.com/inconshreveable/go-bindata
	GOOS="" GOARCH="" go install github.com/inconshreveable/go-bindata
	bin/go-bindata -o src/ngrok/server/assets assets/server

release-client: BUILDTAGS=release
release-client: client-assets client

release-server: BUILDTAGS=release
release-server: server-assets server

release-all: release-client release-server

all: fmt client server

clean:
	go clean -i -r ngrok/...

=== debian/control ===
Source: ngrok
Section: web
Priority: extra
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dctrl-tools,
               dh-golang,
               golang-go,
               golang-goyaml-dev,
               golang-log4go-dev,
               golang-metrics-dev,
               golang-termbox-dev,
               golang-vhost-dev,
               golang-websocket-dev,
               go-bindata,
               libjs-jquery,
               libjs-angularjs,
               libjs-highlight,
               libjs-twitter-bootstrap
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/ngrok.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/ngrok.git;a=summary
Homepage: https://ngrok.com/

Package: ngrok-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev
Built-Using: ${misc:Built-Using}
Description: secure introspectable tunnels to localhost - server part
 ngrok creates a tunnel from the public internet to a port on your
 local machine. You can give this URL to anyone to allow them to try
 out a web site you're developing without doing any deployment.
 .
 It captures all traffic through the tunnel. It displays information
 about the HTTP traffic for your inspection. Raw request/response
 bytes, parsed headers and form data, JSON/XML syntax checking and more
 are included. It can also replay requests.
 .
 By default, ngrok will use ngrok.com as a third-party relay. This
 service is provided at no-cost and without registration but it is
 possible to get additional features by signing up in the service
 (which is pay-as-you-want kind). However, it is possible to setup and
 use its own server.
 .
 This package installs the server part of ngrok. It permits one to use
 the client without using ngrok.com

Package: ngrok-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}, ${misc:Embedded}
Description: secure introspectable tunnels to localhost - client part
 ngrok creates a tunnel from the public internet to a port on your
 local machine. You can give this URL to anyone to allow them to try
 out a web site you're developing without doing any deployment.
 .
 It captures all traffic through the tunnel. It displays information
 about the HTTP traffic for your inspection. Raw request/response
 bytes, parsed headers and form data, JSON/XML syntax checking and more
 are included. It can also replay requests.
 .
 By default, ngrok will use ngrok.com as a third-party relay. This
 service is provided at no-cost and without registration but it is
 possible to get additional features by signing up in the service
 (which is pay-as-you-want kind). However, it is possible to setup and
 use its own server.
 .
 This package installs the client part of ngrok. It can be used
 directly with ngrok.com service or with your own server if you
 install the ngrok-server package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/inconshreveable/ngrok

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	# We need to ship some JS/CSS stuff
	ln -s /usr/share/javascript/highlight/highlight.min.js assets/client/static/js/highlight.min.js
	ln -s /usr/share/javascript/highlight/styles/default.css assets/client/static/css/highlight.min.css
	ln -s /usr/share/twitter-bootstrap/files/css/bootstrap.min.css assets/client/static/css/bootstrap.min.css
	ln -s /usr/share/twitter-bootstrap/files/img/glyphicons-halflings.png assets/client/static/img/glyphicons-halflings.png
	ln -s /usr/share/javascript/angular.js/angular.min.js assets/client/static/js/angular.js
	ln -s /usr/share/javascript/angular.js/angular-sanitize.min.js assets/client/static/js/angular-sanitize.min.js
	ln -s /usr/share/javascript/jquery/jquery.min.js assets/client/static/js/jquery-1.9.1.min.js
	# Also link /usr/share/gocode here
	ln -s /usr/share/gocode/src/* src/.
	make release-all

override_dh_auto_clean:
	rm -f assets/client/static/js/highlight.min.js
	rm -f assets/client/static/css/highlight.min.css
	rm -f assets/client/static/css/bootstrap.min.css
	rm -f assets/client/static/img/glyphicons-halflings.png
	rm -f assets/client/static/js/angular.js
	rm -f assets/client/static/js/angular-sanitize.min.js
	rm -f assets/client/static/js/jquery-1.9.1.min.js
	# Cleanup symbolic inks
	find src -maxdepth 1 -type l -delete
	dh_auto_clean

override_dh_gencontrol:
	dh_gencontrol -- -Vmisc:Embedded="$$(dpkg-query -f='$${source:Package} (= $${source:Version}), ' -W $$(grep-dctrl -n -sBuild-Depends Source: ./debian/control | grep libjs- | sed s/,//g ))"

override_dh_auto_test:
	# No tests

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ngrok-$1.tar.gz/ \
  https://github.com/inconshreveable/ngrok/releases .*/v?(\d\S*)\.tar\.gz
